copy Copy chevron-down
Manager API chevron-right Internal Endpoints chevron-right Partner Organizations Endpoints for working with organizations.
Get organizations
GET /api/internal/v1/partners/:partner_id/organizations
Get the organizations of the given partner.
Path Parameters
Query Parameters
Filter organizations by name.
Filter organizations by type. Any of the following are allowed: company , school , kindergarten , hobby_group , club .
Get organization types
GET /api/internal/v1/partners/:partner_id/organizations/types
Get the allowed types of an organization.
Path Parameters
Get organization
GET /api/internal/v1/partners/:partner_id/organizations/:organization_id
Get a specific organization.
Path Parameters
The id of the organization.
Create organization
POST /api/internal/v1/partners/:partner_id/organizations
Create a new organization.
Path Parameters
address.additional_information
The number of the organization's fax number.
The prefix of the organization's fax number.
The number of the organization's phone number.
The prefix of the organization's phone number.
The name of the organization.
The type of the organization. Possible values: club , company , school , hobby_group , kindergarten . Since new types can be added, use the provided endpoint to get the allowed types.
The E-Mail address of the organization.
Internal note regarding the organization.
The founding year of the organization.
The UID of the organization.
The ZVR of the organization.
The DVR of the organization.
Update organization
PUT /api/internal/v1/partners/:partner_id/organizations/:organization_id
Update the given organization.
Path Parameters
The id of the organization to update.
address.additional_information
The number of the organization's fax number.
The prefix of the organization's fax number.
The number of the organization's phone number.
The prefix of the organization's phone number.
The name of the organization.
The type of the organization. Allowed values are the same as for the create organization endpoint.
The E-Mail address of the organization.
Internal note regarding the organization.
The founding year of the organization.
The UID of the organization.
The ZVR of the organization.
The DVR of the organization.
POST /api/internal/v1/partners/:partner_id/organizations
Path Parameters
The type of the organization. Possible values: club , company , school , hobby_group , kindergarten . Since new types can be added, use the provided endpoint to get the allowed types.
Get organization customers
GET /api/internal/v1/partners/:partner_id/organizations/:organization_id/customers
Get the customers of an organization.
Path Parameters
The ID of the organization.
Add a customer to the organization
POST /api/internal/v1/partners/:partner_id/organizations/:organization_id/customers
Add a customer to an organization. If the customer is already added, nothing will happen.
Path Parameters
The ID of the organization.
The ID of the customer that should be added to the organization.
Remove customer from the organization
DELETE /api/internal/v1/partners/:partner_id/organizations/:organization_id/customers
Remove the given customer from the given organization.
Path Parameters
The ID of the organization from which the partner is removed.
The ID of the customer being removed.